.go_stuff: &go_stuff
  image: golang:latest
  before_script:
    - go version
    - export PKG_ROOT="${GOPATH}/src/git.scc.kit.edu/KIT-CA/"
    - export PKG_PATH="${PKG_ROOT}/dfnpkitool"
    - echo "${CI_PROJECT_DIR}" "${PKG_PATH}"
    - mkdir -p "${PKG_ROOT}"
    - ln -s "${CI_PROJECT_DIR}" "${PKG_PATH}"
    - cd "${PKG_PATH}"
    - unset GOPATH

build:
  <<: *go_stuff
  script:
    - go get -v -t ./...
    - go build -i -v -ldflags "-s -w"
  artifacts:
    expire_in: 1 year
    paths:
      - dfnpkitool
